| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
epsilon.hpp File Reference

GLM_GTC_epsilon More...

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | epsilonEqual (vecType< T, P > const &x, vecType< T, P > const &y, T const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | epsilonEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL genType::boolType | epsilonNotEqual (genType const &x, genType const &y, typename genType::value_type const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | epsilonNotEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...

## Detailed Description

GLM_GTC_epsilon

See also
  GLM Core (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file epsilon.hpp.